#include <cstring>
#include <cstdio>
#include "mods.h"
#include "node.h"
#include "game.h"
#include <string>
#include <iostream>
using namespace std;
string process = "";
void GameInit(string proc){
	process = proc;
	log("Initializing");
	new Node("unknown",0,0,0);
	//Load Mods
	log("Loading Mods");
	FILE *modfile;
	modfile = fopen("game/mods","r");
	int c;
	char nextmod[100];
	while((c = fgetc(modfile)) != EOF){
		if(c == '\n'){
			parseFile(nextmod);
			strncpy(nextmod,"",100);
			}
		else{
			nextmod[strlen(nextmod)] = c;
			}
		}
	fclose(modfile);
	log("Starting");
	}
void log(string text, int level){
	string prefix;
	switch(level){
		case 1: prefix = "\e[31mWARNING";break;
		case 2: prefix = "\e[31m\e[1mERROR";break;
		case -1: prefix = "\e[33mINFO";break;
		default: break;
		}
	cout << prefix << "[" << process << "]: " << text << "\e[0m\n";
	}
void log(string text){
	log(text, 0);
	}
